Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

Chamfer Class

The Chamfer class defines how the corners of a polybeam or a contour plate are rounded.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelChamfer

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
[SerializableAttribute]
public sealed class Chamfer

The Chamfer type exposes the following members.

Constructors
  Name Description
Public method Chamfer
Creates a chamfer instance with the basic shape type CHAMFER_NONE.
Public method Chamfer(Double, Double, ChamferChamferTypeEnum)
Instantiates a chamfer with the given values.
Top
Properties
  Name Description
Public property DZ1
The thickness above the offset.

Note that this does nothing when used with the PolyBeam.

Public property DZ2
The thickness below the offset.

Note that this does nothing when used with the PolyBeam.

Public property Type
The basic shape type of the chamfer.
Public property X
The dimension of the chamfer.
Public property Y
The second dimension of straight chamfers.
Top
Examples
using Tekla.Structures.Model;
using Tekla.Structures.Geometry3d;

public class Example
{
       public void Example1()
       {
           ContourPoint point1 = new ContourPoint(new Point(0, 4000, 0), null);
           ContourPoint point2 = new ContourPoint(new Point(2000, 4000, 0), new Chamfer(0, 0, Chamfer.ChamferTypeEnum.CHAMFER_ARC_POINT));
           ContourPoint point3 = new ContourPoint(new Point(0, 6000, 0), null);

           point2.Chamfer.DZ1 = 2500;
           point2.Chamfer.DZ2 = 0;

           ContourPlate cp = new ContourPlate();

           cp.AddContourPoint(point1);
           cp.AddContourPoint(point2);
           cp.AddContourPoint(point3);
           cp.Finish = "FOO";
           cp.Material.MaterialString = "Steel_Undefined";
           cp.Profile.ProfileString = "PL200";

           cp.Insert();
       }
}
See Also